function onTalk()
		disableMovement()
		setFlag("flag_warp", true)
		choiceDialog({
		{
			"Violet_PlusOneGym_GymHub_1",
			repeatable = true,
			onChosen = function ()
				teleportTo(-100, 96, "DelayedUltras")
			end,
			onEnd = function ()
                closeChoiceDialog()
			end
		},
		{
			"Violet_PlusOneGym_GymHub_2",
			repeatable = true,
			onChosen = function ()
				teleportTo(-200, 152, "Cornerboosts")
			end,
			onEnd = function ()
                closeChoiceDialog()
			end
		},
		{
			"Violet_PlusOneGym_GymHub_3",
			repeatable = true,
			onChosen = function ()
				teleportTo(200, 288, "CrouchPreservation")
			end,
			onEnd = function ()
                closeChoiceDialog()
			end
		},
		{
			"Violet_PlusOneGym_GymHub_4",
			repeatable = true,
			onChosen = function ()
				teleportTo(120, 288, "DashlessTech")
			end,
			onEnd = function ()
                closeChoiceDialog()
			end
		},
		{
			"Violet_PlusOneGym_GymHub_5",
			repeatable = true,
			onChosen = function ()
				teleportTo(2780, 152, "Holdables")
			end,
			onEnd = function ()
                closeChoiceDialog()
			end
		},
		{
			"Violet_PlusOneGym_GymHub_6",
			repeatable = true,
			onChosen = function ()
				teleportTo(-400, 152, "Subpixelology")
			end,
			onEnd = function ()
                closeChoiceDialog()
			end
		},
		{
			"Violet_PlusOneGym_GymHub_7",
			repeatable = true,
			onChosen = function ()
				teleportTo(-300, 96, "Labbing")
			end,
			onEnd = function ()
                closeChoiceDialog()
			end
		},
		{
			"Violet_PlusOneGym_GymHub_8",
			repeatable = true,
			onChosen = function ()
				teleportTo(-200, 152, "RetentionTech")
			end,
			onEnd = function ()
                closeChoiceDialog()
			end
		}
		})
	enableMovement()
end

function onEnd(room, wasSkipped)
    if wasSkipped then
        enableMovement()
    end
end
